Subject: bug#58224: 29.0.50; "make bootstrap" spuriously warns: "comp.el newer than byte-compiled file"

From: Alan Mackenzie <[email-masked]>
Date: Sun, 2 Oct 2022 16:46:01 +0000

Hello, Eli.

On Sun, Oct 02, 2022 at 18:54:10 +0300, Eli Zaretskii wrote:
> > Date: Sun, 2 Oct 2022 15:38:25 +0000
> > Cc: [email-masked], [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > In lread.c I've got:

> >   struct timespec epoch_timespec = {(time_t)0, 0}; /* 1970-01-01T00:00 UTC */ 

> > , which clearly isn't satisfactory.

> I'm not sure I follow: why not satisfactory?

Don't we build for operating systems with different epochs?

> > Can you (or anybody else) give me a clue as how to convert a human
> > readable time into a struct timespec?  I've spent most of the
> > afternoon searching and grepping lots of .h files, and haven't come
> > up with anything, yet.

> Is mktime the function you are after?

Yes thanks!  But it's horribly complicated, involving wierd readings and
settings of the TZ environment variable, and so on.  If a binary zero
time would do (as above), maybe it would be satisfactory.  ;-)

-- 
Alan Mackenzie (Nuremberg, Germany).